### Virtual Method

# Gegl Metadataiter_get_value

#### Declaration [src]

    gboolean
    iter_get_value (
      GeglMetadata* metadata,
      GeglMetadataIter* iter,
      GValue* value
    )

#### Description [src]

Retrieve image file metadata from the application. Intended for use by the image file writer. If the operation fails it returns `FALSE` and `value` is not updated.

#### Parameters

`iter`

  Type: `GeglMetadataIter`

  `GeglMetadataIter` referencing the value to get.

  The data is owned by the caller of the method.

`value`

  Type: `GValue`

  Value to set in the interface.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if successful.